<?xml version="1.0" encoding="utf-8" ?>
 <DUMMY>
   <!-- Parameters to handle the on/off button for each band and the "auto gain" feature -->
   <PARAM id="lowest_value" default="0" min="0" max="0"/>
   
   <!-- for each band, conditional link to lowest value or the real value depending on the on/off parameter state -->
   <DEFINE>
   <CUS_GAIN_PARAM base_type="PARAM" default="0" min="-40" max="40"/>
   </DEFINE>
   
   <CUS_GAIN_PARAM id="max4"/>
   <PARAM_LINK from="lowest_value" to="max4" enabled="true" id="lowest_to_max4"/>
   <PARAM_LINK from="dsp.input4" to="max4" enabled="false" id="dsp_to_max4"/>
   <PARAM_LINK from="dsp.input2" to="lowest_to_max4.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="dsp.input2" to="dsp_to_max4.enabled" enabled="true"/>
   
   <CUS_GAIN_PARAM id="max7"/>
   <PARAM_LINK from="lowest_value" to="max7" enabled="true" id="lowest_to_max7"/>
   <PARAM_LINK from="dsp.input7" to="max7" enabled="false" id="dsp_to_max7"/>
   <PARAM_LINK from="dsp.input5" to="lowest_to_max7.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="dsp.input5" to="dsp_to_max7.enabled" enabled="true"/>
 
   <CUS_GAIN_PARAM id="max11"/>
   <PARAM_LINK from="lowest_value" to="max11" enabled="true" id="lowest_to_max11"/>
   <PARAM_LINK from="dsp.input11" to="max11" enabled="false" id="dsp_to_max11"/>
   <PARAM_LINK from="dsp.input8" to="lowest_to_max11.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="dsp.input8" to="dsp_to_max11.enabled" enabled="true"/>

   <CUS_GAIN_PARAM id="max15"/>
   <PARAM_LINK from="lowest_value" to="max15" enabled="true" id="lowest_to_max15"/>
   <PARAM_LINK from="dsp.input15" to="max15" enabled="false" id="dsp_to_max15"/>
   <PARAM_LINK from="dsp.input12" to="lowest_to_max15.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="dsp.input12" to="dsp_to_max15.enabled" enabled="true"/>
 
   <CUS_GAIN_PARAM id="max19"/>
   <PARAM_LINK from="lowest_value" to="max19" enabled="true" id="lowest_to_max19"/>
   <PARAM_LINK from="dsp.input19" to="max19" enabled="false" id="dsp_to_max19"/>
   <PARAM_LINK from="dsp.input16" to="lowest_to_max19.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="dsp.input16" to="dsp_to_max19.enabled" enabled="true"/>
 
   <CUS_GAIN_PARAM id="max23"/>
   <PARAM_LINK from="lowest_value" to="max23" enabled="true" id="lowest_to_max23"/>
   <PARAM_LINK from="dsp.input23" to="max23" enabled="false" id="dsp_to_max23"/>
   <PARAM_LINK from="dsp.input20" to="lowest_to_max23.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="dsp.input20" to="dsp_to_max23.enabled" enabled="true"/>

   <CUS_GAIN_PARAM id="max27"/>
   <PARAM_LINK from="lowest_value" to="max27" enabled="true" id="lowest_to_max27"/>
   <PARAM_LINK from="dsp.input27" to="max27" enabled="false" id="dsp_to_max27"/>
   <PARAM_LINK from="dsp.input24" to="lowest_to_max27.enabled" enabled="true" reverse="true"/>
   <PARAM_LINK from="dsp.input24" to="dsp_to_max27.enabled" enabled="true"/>
                     
   <!-- Parameters Links: lower_value is 0 and is used here since we do not want the gain to be increased above 0dB-->
   <PARAM_MULTI_LINK from="max4;max7;max11;max15;max19;max23;max27;lowest_value" to="dsp.input1" mux_function="-max" id="auto_link"
      enabled="false" />
      
   	<!-- curve links -->
      <PARAM_MULTI_LINK from="low_button.focus;low_gain.focus;low_freq.focus" to="low_curve.visible" mux_function="max" enabled="true" />
      <PARAM_MULTI_LINK from="high_button.focus;high_gain.focus;high_freq.focus" to="high_curve.visible" mux_function="max" enabled="true" />
      <PARAM_MULTI_LINK from="mid_button1.focus;mid_gain1.focus;mid_freq1.focus;mid_bw1.focus" to="mid_curve1.visible" mux_function="max" enabled="true" />
      <PARAM_MULTI_LINK from="mid_button2.focus;mid_gain2.focus;mid_freq2.focus;mid_bw2.focus" to="mid_curve2.visible" mux_function="max" enabled="true" />
      <PARAM_MULTI_LINK from="mid_button3.focus;mid_gain3.focus;mid_freq3.focus;mid_bw3.focus" to="mid_curve3.visible" mux_function="max" enabled="true" />
      <PARAM_MULTI_LINK from="mid_button4.focus;mid_gain4.focus;mid_freq4.focus;mid_bw4.focus" to="mid_curve4.visible" mux_function="max" enabled="true" />
      <PARAM_MULTI_LINK from="mid_button5.focus;mid_gain5.focus;mid_freq5.focus;mid_bw5.focus" to="mid_curve5.visible" mux_function="max" enabled="true" />
</DUMMY>
